MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Data Fields | Friends
MyGUI::types::TSize< T > Struct Template Reference

`#include <MyGUI_TSize.h>`

Inheritance diagram for MyGUI::types::TSize< T >:
[legend]

## Public Member Functions
| TSize ()
| TSize (T const &_width, T const &_height)
| TSize (TSize const &_obj)
TSize & | operator-= (TSize const &_obj)
TSize & | operator+= (TSize const &_obj)
TSize | operator- (TSize const &_obj) const
TSize | operator+ (TSize const &_obj) const
TSize & | operator= (TSize const &_obj)
template<typename U >
TSize & | operator= (TSize< U > const &_obj)
bool | operator== (TSize const &_obj) const
bool | operator!= (TSize const &_obj) const
void | clear ()
void | set (T const &_width, T const &_height)
void | swap (TSize &_value)
bool | empty () const
std::string | print () const

## Static Public Member Functions
static TSize< T > | parse (const std::string &_value)

## Data Fields
T | width
T | height

## Friends
std::ostream & | operator<< (std::ostream &_stream, const TSize< T > &_value)
std::istream & | operator>> (std::istream &_stream, TSize< T > &_value)

## Detailed Description

### template<typename T>
struct MyGUI::types::TSize< T >

Definition at line 18 of file MyGUI_TSize.h.

## Constructor & Destructor Documentation

template<typename T>

MyGUI::types::TSize< T >::TSize | ( |  | ) |
| inline

Definition at line 23 of file MyGUI_TSize.h.

template<typename T>

MyGUI::types::TSize< T >::TSize | ( | T const & | _width,
|  | T const & | _height
| ) |  |
| inline

Definition at line 29 of file MyGUI_TSize.h.

template<typename T>

MyGUI::types::TSize< T >::TSize | ( | TSize< T > const & | _obj | ) |
| inline

Definition at line 35 of file MyGUI_TSize.h.

## Member Function Documentation

template<typename T>

void MyGUI::types::TSize< T >::clear | ( |  | ) |
| inline

Definition at line 90 of file MyGUI_TSize.h.

template<typename T>

bool MyGUI::types::TSize< T >::empty | ( |  | ) | const
| inline

Definition at line 108 of file MyGUI_TSize.h.

template<typename T>

bool MyGUI::types::TSize< T >::operator!= | ( | TSize< T > const & | _obj | ) | const
| inline

Definition at line 85 of file MyGUI_TSize.h.

template<typename T>

TSize MyGUI::types::TSize< T >::operator+ | ( | TSize< T > const & | _obj | ) | const
| inline

Definition at line 60 of file MyGUI_TSize.h.

template<typename T>

TSize& MyGUI::types::TSize< T >::operator+= | ( | TSize< T > const & | _obj | ) |
| inline

Definition at line 48 of file MyGUI_TSize.h.

template<typename T>

TSize MyGUI::types::TSize< T >::operator- | ( | TSize< T > const & | _obj | ) | const
| inline

Definition at line 55 of file MyGUI_TSize.h.

template<typename T>

TSize& MyGUI::types::TSize< T >::operator-= | ( | TSize< T > const & | _obj | ) |
| inline

Definition at line 41 of file MyGUI_TSize.h.

template<typename T>

TSize& MyGUI::types::TSize< T >::operator= | ( | TSize< T > const & | _obj | ) |
| inline

Definition at line 65 of file MyGUI_TSize.h.

template<typename T>
template<typename U >

TSize& MyGUI::types::TSize< T >::operator= | ( | TSize< U > const & | _obj | ) |
| inline

Definition at line 73 of file MyGUI_TSize.h.

template<typename T>

bool MyGUI::types::TSize< T >::operator== | ( | TSize< T > const & | _obj | ) | const
| inline

Definition at line 80 of file MyGUI_TSize.h.

template<typename T>

static TSize<T> MyGUI::types::TSize< T >::parse | ( | const std::string & | _value | ) |
| inline static

Definition at line 120 of file MyGUI_TSize.h.

template<typename T>

std::string MyGUI::types::TSize< T >::print | ( |  | ) | const
| inline

Definition at line 113 of file MyGUI_TSize.h.

template<typename T>

void MyGUI::types::TSize< T >::set | ( | T const & | _width,
|  | T const & | _height
| ) |  |
| inline

Definition at line 95 of file MyGUI_TSize.h.

template<typename T>

void MyGUI::types::TSize< T >::swap | ( | TSize< T > & | _value | ) |
| inline

Definition at line 101 of file MyGUI_TSize.h.

## Friends And Related Function Documentation

template<typename T>

std::ostream& operator<< | ( | std::ostream & | _stream,
|  | const TSize< T > & | _value
| ) |  |
| friend

Definition at line 142 of file MyGUI_TSize.h.

template<typename T>

std::istream& operator>> | ( | std::istream & | _stream,
|  | TSize< T > & | _value
| ) |  |
| friend

Definition at line 148 of file MyGUI_TSize.h.

## Field Documentation

template<typename T>

T MyGUI::types::TSize< T >::height

Definition at line 21 of file MyGUI_TSize.h.

template<typename T>

T MyGUI::types::TSize< T >::width

Definition at line 20 of file MyGUI_TSize.h.

The documentation for this struct was generated from the following file:

- MyGUI_TSize.h